%define module  Test-Cmd
%define version 1.05
%define release 4mdk

Summary: 	Perl module for portable testing of commands and scripts
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/K/KN/KNIGHT/%{module}-%{version}.tar.bz2
Url:            http://www.cpan.org
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif

%description 
The Test::Cmd module provides a low-level framework for portable automated
testing of executable commands and scripts (in any language, not just Perl),
especially commands and scripts that interact with the file system.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-4mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-3mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-2mdk
- fixed dir ownership (distlint)
- let spec-helper do its job

* Mon Feb 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-1mdk
- first mdk release
